# Reference
<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

**Classes**

* [`nvidia`](#nvidia): Installs the NVidia Drivers and CUDA.
* [`nvidia::cuda`](#nvidiacuda): Installs nvidia's CUDA driver
* [`nvidia::driver`](#nvidiadriver): Installs the NVidia Driver.  Uses the graphics-driver ppa

## Classes

### nvidia

Installs the NVidia Drivers and CUDA.

#### Parameters

The following parameters are available in the `nvidia` class.

##### `version`

Data type: `String`

The version to install.

Default value: '495'

##### `cuda_version`

Data type: `Optional[String]`

If this parmeter is set, will install cuda at the specified parameter.
@example '11-5'

Default value: `undef`

##### `basrc_file_path`

The path to the basrch file to update (uses concat).
If this parameter is set, will update the bashrc file with cuda environment variables.

##### `bashrc_file_path`

Data type: `Optional[String]`



Default value: `undef`

### nvidia::cuda

Installs nvidia's CUDA driver

#### Parameters

The following parameters are available in the `nvidia::cuda` class.

##### `version`

Data type: `String`

The version of CUDA to install.

Default value: '11-5'

##### `basrc_file_path`

The path to the basrch file to update (uses concat).
If this parameter is set, will update the bashrc file with cuda environment variables.

##### `bashrc_file_path`

Data type: `Optional[String]`



Default value: `undef`

### nvidia::driver

Installs the NVidia Driver.  Uses the graphics-driver ppa

#### Parameters

The following parameters are available in the `nvidia::driver` class.

##### `version`

Data type: `String`

The version to install

