# @summary Configures the xserver generating xorg.conf
#
# Note, only creates the configuration if GPUs are detected through a custom fact.
# Also, after this change, the system will need to be rebooted.
#
#
class nvidia::xconfig (
){
  # Use custom fact to get GPUs and IDs.
  $ids = $::gpus_pci_ids

  notice("ids = ${ids}")
  if $ids {
    file{'/etc/X11/xorg.conf':
      ensure  => file,
      content => epp('nvidia/xorg.conf.epp',
      {
        gpus         => size($ids),
        gpus_pci_ids => $ids
      })
    }
  }
}
